## ros-indigo-rocon-app-utilities 0.7.13

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_app_utilities)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS roslint)
catkin_python_setup()
catkin_package()
catkin_add_env_hooks(15.rocon_app SHELLS bash tcsh zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)


file(GLOB_RECURSE ${PROJECT_NAME}_MODULE_SOURCES RELATIVE ${PROJECT_SOURCE_DIR} src/*.py)
file(GLOB_RECURSE ${PROJECT_NAME}_SCRIPT_SOURCES RELATIVE ${PROJECT_SOURCE_DIR} scripts/*)
roslint_python(${${PROJECT_NAME}_MODULE_SOURCES} ${${PROJECT_NAME}_SCRIPT_SOURCES})

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(tests)
endif()

##############################################################################
# Installs
##############################################################################

install(DIRECTORY shells DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-rocon-app-utilities (0.7.13-1trusty) trusty; urgency=high

  * Merge pull request #292 <https://github.com/robotics-in-concert/rocon_app_platform/issues/292> from robotics-in-concert/gopher
    Delivery ancestor rapp and some bugfixes
  * [rocon_app_manager] trivial
  * [rocon_app_utilities] syntax highlighting for rocon_app cmd output.
  * [rocon_app_utilites] pep8 for rapp_cmd.py
  * [rocon_app_utilities] bugfix undefined variable call to ancestor_name.
    Must be in scope before the exception branching is executed.
  * [rocon_app_utilities] pep8 fixes.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.12-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.11-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.10-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 03 May 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.9-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 Apr 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.8-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.7-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.6-1trusty) trusty; urgency=high

  * remove custom platform checker and use rospkg.os_detect in dependency checker closes #269 <https://github.com/robotics-in-concert/rocon_app_platform/issues/269>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.5-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.4-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.3-1trusty) trusty; urgency=high

  * rename sim to simulation
  * sim parameter passing
  * [rocon_app_manager] bugfix stray hub whitelist param, lower casing base topic names, catching the right exception
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.2-1trusty) trusty; urgency=high

  * it updates its indices when it adds or removes repo
  * bugfix for #260 <https://github.com/robotics-in-concert/rocon_app_platform/issues/260> #253 <https://github.com/robotics-in-concert/rocon_app_platform/issues/253>
  * now indexer works fine. rapp stores resources path in yaml_data
  * now it uses normalised path and provides more debug messages
  * add optional arguments on rocon_app cmd tool closes issue #259 <https://github.com/robotics-in-concert/rocon_app_platform/issues/259>
  * improve top-level arg parser logic. Now it does not validate the full launch xml though.
  * update comments. absolute to relative
  * remove debug message
  * It marks invalid rapp if it contains tuple based resource. and give error
  * update rapp spec document
  * relative path working
  * in the middle of change to relative path
  * add simple indicator
  * multiple chirp working
  * parses parameters from file
  * 0.7.1
  * Merge branch 'indigo' into hydro-devel
  * rocon_app_utilities: error: unconfigured build_depend on 'rocon_python_utils rocon_uri
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-app-utilities (0.7.0-1trusty) trusty; urgency=high

  * command line suite for rapp indexing, caching, dependency installing.
  * remote repository index caching.
  * local ros package path rapp indexer.
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-app-utilities
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-indigo-catkin, ros-indigo-roslint
Homepage: http://wiki.ros.org/rocon_app_utilities
Standards-Version: 3.9.2

Package: ros-indigo-rocon-app-utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-rocon-console, ros-indigo-rocon-python-utils, ros-indigo-rocon-uri, ros-indigo-roslaunch
Description: The rocon_app_utilities package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-app-utilities//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
